org.h2.table

## Class SingleColumnResolver

- java.lang.Object
- - org.h2.table.SingleColumnResolver

All Implemented Interfaces:
  ColumnResolver

    public class SingleColumnResolver
    extends java.lang.Object
    implements ColumnResolver

The single column resolver is like a table with exactly one row. It is used to parse a simple one-column check constraint.

### Method Summary

Methods
`Column` `findColumn(java.lang.String name)` Get the column with the specified name.
`java.lang.String` `getColumnName(Column column)` Get the name of the specified column.
`Column[]` `getColumns()` Get the column list.
`Column` `getRowIdColumn()` Get the row id pseudo column, if there is one.
`java.lang.String` `getSchemaName()` Get the schema name or null.
`Select` `getSelect()` Get the select statement.
`Column[]` `getSystemColumns()` Get the list of system columns, if any.
`java.lang.String` `getTableAlias()` Get the table alias.
`TableFilter` `getTableFilter()` Get the table filter.
`Value` `getValue(Column col)` Get the value for the given column.
`boolean` `hasDerivedColumnList()` Returns whether this column resolver has a derived column list.
`Expression` `optimize(ExpressionColumn expressionColumn, Column col)` Get the expression that represents this column.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTableAlias

    public java.lang.String getTableAlias()

Description copied from interface: `ColumnResolver`
Get the table alias.

Specified by:
  `getTableAlias` in interface `ColumnResolver`
Returns:
  the table alias

#### getValue

    public Value getValue(Column col)

Description copied from interface: `ColumnResolver`
Get the value for the given column.

Specified by:
  `getValue` in interface `ColumnResolver`
Parameters:
  `col` - the column
Returns:
  the value

#### getColumns

    public Column[] getColumns()

Description copied from interface: `ColumnResolver`
Get the column list.

Specified by:
  `getColumns` in interface `ColumnResolver`
Returns:
  the column list

#### findColumn

    public Column findColumn(java.lang.String name)

Description copied from interface: `ColumnResolver`
Get the column with the specified name.

Specified by:
  `findColumn` in interface `ColumnResolver`
Parameters:
  `name` - the column name, must be a derived name if this column resolver has a derived column list
Returns:
  the column with the specified name, or `null`

#### getColumnName

    public java.lang.String getColumnName(Column column)

Description copied from interface: `ColumnResolver`
Get the name of the specified column.

Specified by:
  `getColumnName` in interface `ColumnResolver`
Parameters:
  `column` - column
Returns:
  column name

#### hasDerivedColumnList

    public boolean hasDerivedColumnList()

Description copied from interface: `ColumnResolver`
Returns whether this column resolver has a derived column list.

Specified by:
  `hasDerivedColumnList` in interface `ColumnResolver`
Returns:
  `true` if this column resolver has a derived column list, `false` otherwise

#### getSchemaName

    public java.lang.String getSchemaName()

Description copied from interface: `ColumnResolver`
Get the schema name or null.

Specified by:
  `getSchemaName` in interface `ColumnResolver`
Returns:
  the schema name or null

#### getTableFilter

    public TableFilter getTableFilter()

Description copied from interface: `ColumnResolver`
Get the table filter.

Specified by:
  `getTableFilter` in interface `ColumnResolver`
Returns:
  the table filter

#### getSelect

    public Select getSelect()

Description copied from interface: `ColumnResolver`
Get the select statement.

Specified by:
  `getSelect` in interface `ColumnResolver`
Returns:
  the select statement

#### getSystemColumns

    public Column[] getSystemColumns()

Description copied from interface: `ColumnResolver`
Get the list of system columns, if any.

Specified by:
  `getSystemColumns` in interface `ColumnResolver`
Returns:
  the system columns or null

#### getRowIdColumn

    public Column getRowIdColumn()

Description copied from interface: `ColumnResolver`
Get the row id pseudo column, if there is one.

Specified by:
  `getRowIdColumn` in interface `ColumnResolver`
Returns:
  the row id column or null

#### optimize

    public Expression optimize(ExpressionColumn expressionColumn,
                      Column col)

Description copied from interface: `ColumnResolver`
Get the expression that represents this column.

Specified by:
  `optimize` in interface `ColumnResolver`
Parameters:
  `expressionColumn` - the expression column
  `col` - the column
Returns:
  the optimized expression